Vagrant.configure("2") do |config|

 # VM "server" on which the pxe server is installed
 config.vm.define "server" do |server|
    server.vm.box = "centos/7"
    server.vm.hostname = "server"
    server.vm.network "private_network", ip: "192.168.1.254"
    server.vm.network "public_network", ip: "192.168.10.1"
    # Enable X Forwarding
    server.ssh.forward_agent = true
    server.ssh.forward_x11 = true
  end

  # Provide 1024 MB of RAM
  config.vm.provider "virtualbox" do |v|
    vmemory = 1024
  end

  # Provide ansible (specify the path of the ansible playbook and the inventory)
  config.vm.provision "ansible" do |ansible|
    ansible.verbose = "v"
    ansible.playbook = "pxe_server_playbook.yml"
    ansible.inventory_path = "hosts"
  end

end
